## Consistency of responses from different participants (ICC)

setwd('/home/allgoodguys/Documents/Studying/Lund_PhD/epistles/014_rolloff/soundgen_ac-cor-em')

library(ICC)

df = read.csv('data/rn.csv')  # final sample of "clean" data
# df = read.csv('data/rn_all.csv') # w/o excluding any participants

df_val = df[!is.na(df$valence), ]
ICC::ICCest(x = sound, y = valence, data = df_val)  # .48 [.41, .57]

df_ar = df[!is.na(df$arousal), ]
ICC::ICCest(x = sound, y = arousal, data = df_ar)  # .53 [.46, .61]

df_dom = df[!is.na(df$dominance), ]
ICC::ICCest(x = sound, y = dominance, data = df_dom)  # .22 [.17, .29]
